/* app css stylesheet */
* {
    text-rendering: auto !important;
}

#outerboard{
    position: absolute;
    left:0;
    top:55px;
    height: inherit;
    margin-left:auto;
    margin-right:auto;
}

canvas.whiteboard{
    position: absolute;
    left:0;
    top:0px;
    background-color: transparent;
    cursor: pointer;
    z-index: 20;
}
canvas#main{
    position: absolute;
    left:0;
    background-color: transparent;
    z-index: 10;
}

canvas.disabled {
    pointer-events: none;
}

.map {
    position: absolute;
    z-index: 1005;
}

.nomap {
    position: absolute;
}

/*.image {*/
    /*width: 1024px;*/
    /*height: 800px;*/
/*}*/

.image li {
    background-size: auto;
    background-position: center center;
    margin-left:auto;
    margin-right:auto;
}

.share{
  user-select: none;  
  -moz-user-select: none;
  -webkit-user-select: none;    
  -o-user-select: none;
  -ms-user-select: none;    
}

.menu-icon {
    height: 50px;
    width: auto;
}

.topmenu
{
    padding-left: 0px;
    background-color: #fcfcfc;
}

.navbar-menu
{
    margin-bottom: 0px;
}

.menu-item
{
    text-align: center;
}

.dropdown-menu
{
    min-width: 64px;
    width: 64px;
    padding: 2px;
}

.menu-item-board
{
    width: 64px;
    height: 32px;
}

.black
{
    background-color: #000;
}
.silver
{
    background-color: silver;
}
.white
{
    background-color: white;
}
.red
{
    background-color: red;
}
.orange
{
    background-color: orange;
}
.green
{
    background-color: green;
}
.azure
{
    background-color: #4aa5e2;
}
.navy
{
    background-color: navy;
}
.fuchsia
{
    background-color: fuchsia;
}
.purple
{
    background-color: purple;
}

.img-boundary
{
    transform:rotate(180deg);
    -moz-transform:rotate(180deg);
    -webkit-transform:rotate(180deg);
    -o-transform:rotate(180deg);
    height: auto;
}

.mborder
{
    width: 62px;
    border: 1px solid lightgray;
    text-align:center;
    vertical-align:middle;
    display:table-cell;
}

.two-pt
{
    height: 2pt;
    background-color: #000;
}
.four-pt
{
    height: 4pt;
    background-color: #000;
}
.six-pt
{
    height: 6pt;
    background-color: #000;
}
.eight-pt
{
    height: 8pt;
    background-color: #000;
}
.ten-pt
{
    height: 10pt;
    background-color: #000;
}
.twelve-pt
{
    height: 12pt;
    background-color: #000;
}
.fourteen-pt
{
    height: 14pt;
    background-color: #000;
}
.footer-btn{
    background-color: #ffffff;
    height: 50px;
    color: #3b3b3b;
    font-size: 20pt;
    margin: 0px;
    padding: 0px;
    background-image:none;
    text-align: center;
}

.center
{
    border: 0px;
    margin: 0px;
    border-left: 1px solid #bfbfbf;
    border-right: 2px solid #bfbfbf;
    width: 34%
}
.three-button
{
    border: 0px;
    width: 33%
}
.two-button
{
    width: 50%
}

.no-padding
{
    padding: 0px;
}
.no-margin
{
    margin: 0px;
}

.rn-carousel-container{
    overflow:hidden;
    position: relative;
    z-index: 10;
}

div.frame-slides  {
    position: absolute;
    /*top: 1px;*/
}

ul.rn-carousel-slides{
    -webkit-transform: translate3d(0, 0, 0);
    -ms-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    position: relative;
    white-space: nowrap;
    overflow: visible;
    padding: 0;
    margin: 0;
    background-color: #FFF;
}

ul.rn-carousel-slides > li{
    white-space: normal;
    vertical-align: top;
    display: inline-block;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden;
    -ms-backface-visibility: hidden;
    backface-visibility: hidden;
    background-color: #FFF;
}

.rn-carousel-animate{
    -webkit-transition:-webkit-transform .1s ease-out;
    -moz-transition:-moz-transform .1s ease-out;
    transition:transform .1s ease-out
}

.rn-carousel-noanimate{
    -webkit-transition:none;
    -moz-transition:none;
    -ms-transition:none;
    -o-transition:none;
    transition:none
}

/* indicators */
.rn-carousel-indicator {
    width: 100%;
    text-align: center;
    height: 20px;
    background-color: black;
    background-color: rgba(0, 0, 0, 0.6);
    position: relative;
    bottom: 0;
    cursor: pointer; }
.rn-carousel-indicator span {
    -webkit-transition: color .2s ease-out;
    transition: color .2s ease-out;
    padding: 0 5px;
    color: #333; }
.rn-carousel-indicator span:before {
    content: "\25cf"; }
.rn-carousel-indicator .active {
    color: white; }

/* controls */
.rn-carousel-control {
    -webkit-transition: opacity 0.2s ease-out;
    transition: opacity 0.2s ease-out;
    font-size: 30px;
    position: absolute;
    top: 50%;
    margin-top: -35px;
    opacity: 0.75;
    cursor: pointer;
}

.rn-carousel-control:hover {
    opacity: 1;
}

.rn-carousel-control.rn-carousel-control-prev {
    left: 0.5em;
}
.rn-carousel-control.rn-carousel-control-prev:before {
    content: "<";
}
.rn-carousel-control.rn-carousel-control-next {
    right: 0.5em;
}

.rn-carousel-control.rn-carousel-control-next:before {
    content: ">";
}

.loader {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: url('../img/page-loader.gif') 50% 50% no-repeat rgb(249,249,249);
    background-size: 150px;
}
